LoggingInterceptor (Mule ESB 2.2.1 API)
Keywords: org.mule.interceptor.LoggingInterceptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.interceptor
Class LoggingInterceptor

    java.lang.Object
      org.mule.interceptor.EnvelopeInterceptor
          org.mule.interceptor.LoggingInterceptor

All Implemented Interfaces:
  Interceptor

    public class LoggingInterceptor

extends EnvelopeInterceptor

`LoggingInterceptor` is a simple interceptor that logs a message before and after the event processing.

Constructor Summary
`LoggingInterceptor()`

Method Summary
`void` | `after(Invocation event)` This method is invoked after the event has been processed
`void` | `before(Invocation event)` This method is invoked before the event is processed

Methods inherited from class org.mule.interceptor.EnvelopeInterceptor
`intercept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingInterceptor

    public LoggingInterceptor()

Method Detail

### before

    public void before(Invocation event)

  Description copied from class: `EnvelopeInterceptor`
  This method is invoked before the event is processed

  Specified by:
    `before` in class `EnvelopeInterceptor`
  Parameters:
    `event` - the message invocation being processed

### after

    public void after(Invocation event)

  Description copied from class: `EnvelopeInterceptor`
  This method is invoked after the event has been processed

  Specified by:
    `after` in class `EnvelopeInterceptor`
  Parameters:
    `event` - the message invocation being processed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.